Bug 2239722 - The pre runtime scriptlet returns false exit status on some installations
Summary: The pre runtime scriptlet returns false exit status on some installations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: openvpn
Version: epel8
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Sommerseth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-19 20:13 UTC by elkhan.mammadli
Modified: 2023-11-19 01:46 UTC (History)
5 users (show)

Fixed In Version: openvpn-2.6.7-1.fc40 openvpn-2.5.9-2.el9 openvpn-2.4.12-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-09 23:06:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description elkhan.mammadli 2023-09-19 20:13:29 UTC
The pre runtime scriptlet returns false exit status on some installations

Description of problem:
On the installation of live ISO of "AlmaLinux OS 8 and 9 MATE" the process crashes while executing of pre runtime scriptlet of the openvpn package.

The purpose of this scriptlet is "if they not exist, create a group and an user with name of openvpn"

Seems like the scriptlet returns the false exit status even it succeeds. 


As we see from the examples below, the pre scriptlet has exit 0 at the end.

- https://gitlab.com/redhat/centos-stream/rpms/httpd/-/blob/c9s/httpd.spec?ref_type=heads#L632-637
- https://gitlab.com/redhat/centos-stream/rpms/postfix/-/blob/c9s/postfix.spec?ref_type=heads#L545-555
- https://gitlab.com/redhat/centos-stream/rpms/nginx/-/blob/c9s/nginx.spec?ref_type=heads#L462-467

After adding "exit 0" for openvpn package too, the installation finishes successfully and a group and an user is created with "openvpn" name.

How reproducible:

Create live ISO of AlmaLinux OS 8 with MATE desktop envoriment.

1. git clone https://github.com/AlmaLinux/sig-livemedia.git
2. Prepare the Build Environments as mentioned the repo above.
3. Build

AlmaLinux OS 8:
sudo livemedia-creator \
    --ks=kickstarts/almalinux-8-live-mate.ks \
    --no-virt 
    --resultdir ./iso_mate_8 \
    --project 'AlmaLinux Live' \
    --make-iso \
    --iso-only \
    --iso-name AlmaLinux-8.8-x86_64-Live-MATE.iso \
    --releasever 8.8 \
    --volid 'AlmaLinux-8_8-x86_64-Live-MATE' \
    --nomacboot

AlmaLinux OS 9:
sudo livemedia-creator \
    --ks=kickstarts/almalinux-9-live-mate.ks \
    --no-virt 
    --resultdir ./iso_mate_9 \
    --project 'AlmaLinux Live' \
    --make-iso \
    --iso-only \
    --iso-name AlmaLinux-9.2-x86_64-Live-MATE.iso \
    --releasever 9.2 \
    --volid 'AlmaLinux-9_2-x86_64-Live-MATE' \
    --nomacboot

Actual results:
Non interactive installation failed: DNF error: Error in PREIN scriptlet in rpm package openvpn.


Expected results:
1. Successful installation without any warning or error output.
2. Group and User created with "openvpn" name.


Additional info:
Seems like due lack of permission, I cannot push the fix back to my fork on https://src.fedoraproject.org/fork/elkhan/rpms/openvpn to create a PR.

Comment 1 Fedora Update System 2023-11-09 23:04:11 UTC
FEDORA-2023-620beee57f has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-620beee57f

Comment 2 Fedora Update System 2023-11-09 23:06:36 UTC
FEDORA-2023-620beee57f has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2023-11-09 23:59:22 UTC
FEDORA-2023-6846ec6920 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6846ec6920

Comment 4 Fedora Update System 2023-11-10 00:18:49 UTC
FEDORA-EPEL-2023-83a823a9f5 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-83a823a9f5

Comment 5 Fedora Update System 2023-11-10 00:45:51 UTC
FEDORA-EPEL-2023-08658cdbc9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-08658cdbc9

Comment 6 Fedora Update System 2023-11-10 02:18:58 UTC
FEDORA-2023-5facb6e061 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-5facb6e061`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5facb6e061

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-11-10 03:01:48 UTC
FEDORA-2023-6846ec6920 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6846ec6920`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6846ec6920

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-11-11 00:22:58 UTC
FEDORA-EPEL-2023-83a823a9f5 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-83a823a9f5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-11-11 04:42:48 UTC
FEDORA-EPEL-2023-08658cdbc9 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-08658cdbc9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-11-19 00:40:12 UTC
FEDORA-EPEL-2023-83a823a9f5 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-11-19 01:46:34 UTC
FEDORA-EPEL-2023-08658cdbc9 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.